# SPDX-FileCopyrightText: no
# SPDX-License-Identifier: CC0-1.0
#
# Create, overwrite or update /etc/default/grub in the target system.
#
# Write lines to /etc/default/grub (in the target system) based
# on calculated values and the values set in the *defaults* key
# in this configuration file.
#
# Calculated values are:
#   - GRUB_DISTRIBUTOR,   branding module, *bootloaderEntryName* (this
#     string is sanitized, and see also setting *keep_distributor*)
#   - GRUB_ENABLE_CRYPTODISK, based on the presence of filesystems
#     that use LUKS
#   - GRUB_CMDLINE_LINUX_DEFAULT, adding LUKS setup and plymouth
#     support to the kernel.

---
# If set to true, always creates /etc/default/grub from scratch even if the file
# already existed. If set to false, edits the existing file instead.
overwrite: false

# If set to true, prefer to write files in /etc/default/grub.d/
# rather than the single file /etc/default/grub. If this is set,
# Calamares will write /etc/default/grub.d/00Calamares instead.
prefer_grub_d: false

# If set to true, an **existing** setting for GRUB_DISTRIBUTOR is
# kept, not updated to the *bootloaderEntryName* from the branding file.
# Use this if the GRUB_DISTRIBUTOR setting in the file is "smart" in
# some way (e.g. uses shell-command substitution).
keep_distributor: false

# The default kernel params that should always be applied.
# This is an array of strings. If it is unset, the default is
# `["quiet"]`. To avoid the default, explicitly set this key
# to an empty list, `[]`.
kernel_params: [ "quiet" ]

# Default entries to write to /etc/default/grub if it does not exist yet or if
# we are overwriting it.
#
defaults:
    GRUB_TIMEOUT: 5
    GRUB_DEFAULT: "saved"
    GRUB_DISABLE_SUBMENU: true
    GRUB_TERMINAL_OUTPUT: "console"
    GRUB_DISABLE_RECOVERY: true
    GRUB_ENABLE_CRYPTODISK: true
    GRUB_CMDLINE_LINUX_DEFAULT: true
    GRUB_DISTRIBUTOR: "d2w_os"
    GRUB_GFXMODE: "/usr/share/d2w-grub-theme/theme.txt"

# Set to true to force defaults to be used even when not overwriting
always_use_defaults: false
